Bug 858027 - Review Request: jquery-ui - JavaScript library of interface components based on jQuery [NEEDINFO]
Review Request: jquery-ui - JavaScript library of interface components based ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 815018 977123 js-jquery1 1115672 1115673
Blocks: 603937 1154750
  Show dependency treegraph
 
Reported: 2012-09-17 15:54 EDT by Gregor Tätzner
Modified: 2016-02-24 09:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tchollingsworth: needinfo? (gregor)


Attachments (Terms of Use)

  None (edit)
Description Gregor Tätzner 2012-09-17 15:54:38 EDT
Spec URL: http://brummbq.fedorapeople.org/jquery-ui.spec
SRPM URL: http://brummbq.fedorapeople.org/jquery-ui-1.8.23-1.fc17.src.rpm
Description: 
jQuery UI provides abstractions for low-level interaction and animation,
advanced effects and high-level, themeable widgets, built on top of the
jQuery JavaScript Library, that you can use to build highly interactive
web applications.
Fedora Account System Username: brummbq
Comment 1 T.C. Hollingsworth 2013-01-17 04:10:27 EST
Node.js is available for Fedora 18 and rawhide and should no longer block this package.
Comment 2 Felix Schwarz 2013-02-19 05:00:55 EST
Why is nodejs a dependency for jQuery UI?
Comment 3 Jens Petersen 2013-09-19 04:41:39 EDT
I think this needs updating for:

https://fedoraproject.org/wiki/Changes/Web_Assets
https://fedoraproject.org/wiki/Packaging:JavaScript
Comment 4 Jens Petersen 2013-09-19 04:45:36 EDT
(In reply to Felix Schwarz from comment #2)
> Why is nodejs a dependency for jQuery UI?

A build dependency - see the comments in the spec file:

%build
# since grunt/npm is not available in fedora, it does not make much sense
# to build jqueryui from source

For grunt

https://bugzilla.redhat.com/buglist.cgi?component=Package%20Review&list_id=1723739&short_desc=grunt&short_desc_type=substring
Comment 5 Jens Petersen 2013-09-19 05:03:00 EDT
(In reply to Jens Petersen from comment #4)
> (In reply to Felix Schwarz from comment #2)
> > Why is nodejs a dependency for jQuery UI?

Sorry, perhaps meant why nodejs and not npm review is listed as a dependent bug?
Maybe because the npm review was posted after this one.

Gregor, are you planning to update the package?
Comment 6 T.C. Hollingsworth 2013-09-19 08:13:31 EDT
(In reply to Jens Petersen from comment #5)
> Sorry, perhaps meant why nodejs and not npm review is listed as a dependent
> bug?
> Maybe because the npm review was posted after this one.

npm itself really isn't of much help, as it's entirely inappropriate to use it to install dependencies in spec files due to the bundled libraries policy.  

But Gregor couldn't possibly have known how the nodejs stuff was going to shape up when he did this originally, as we had almost abandoned all hope of ever getting it in at the time.  ;-)

Anyway, I'm marking jquery as blocking this.  Please help with some of the reviews blocking jQuery if you want to move this along quicker.
Comment 7 T.C. Hollingsworth 2013-09-19 08:25:38 EDT
devDependencies not yet packaged that are not also needed by jquery itself:
"grunt-contrib-qunit": "0.2.0",
"grunt-contrib-csslint": "0.1.1",
"grunt-contrib-cssmin": "0.4.2", #easyfix, ycssmin is already in
"grunt-html": "0.3.3",
Comment 8 Zbigniew Jędrzejewski-Szmek 2015-01-28 00:29:30 EST
nodejs-grunt-contrib-csslint and nodejs-grunt-contrib-cssmin are in.
Comment 9 Dominik 'Rathann' Mierzejewski 2015-05-13 06:16:48 EDT
Any progress here? I need this to unbundle jquery-ui from mozilla-privacy-badger Firefox extension. I could review an updated package...

Note You need to log in before you can comment on or make changes to this bug.